Playmaker Forum

Bug Reporting => Playmaker Bug Reporting => Topic started by: fish on July 12, 2017, 03:54:52 PM

Title: Unity 2017.1&2 error
Post by: fish on July 12, 2017, 03:54:52 PM
So I upgraded to 2017.2 beta and I'm getting some nasty errors.

Code: [Select]
MissingMethodException: Method not found: 'UnityEngine.Texture2D.LoadImage'.
HutongGames.PlayMakerEditor.Gizmos.get_WanIcon () (at c:/Users/Alex/Documents/Unity/Playmaker/Projects/Playmaker.source.unity/Assets/PlayMaker/Editor/Classes/Gizmos.cs:51)
HutongGames.PlayMakerEditor.Gizmos.HierarchyWindowItemCallback (Int32 instanceID, Rect selectionRect) (at c:/Users/Alex/Documents/Unity/Playmaker/Projects/Playmaker.source.unity/Assets/PlayMaker/Editor/Classes/Gizmos.cs:95)
UnityEditor.SceneHierarchyWindow.OnGUIAssetCallback (Int32 instanceID, Rect rect) (at C:/buildslave/unity/build/Editor/Mono/SceneHierarchyWindow.cs:458)
UnityEditor.IMGUI.Controls.TreeViewController.DoItemGUI (UnityEditor.IMGUI.Controls.TreeViewItem item, Int32 row, Single rowWidth, Boolean hasFocus) (at C:/buildslave/unity/build/Editor/Mono/GUI/TreeView/TreeViewController.cs:469)
UnityEditor.IMGUI.Controls.TreeViewController.IterateVisibleItems (Int32 firstRow, Int32 numVisibleRows, Single rowWidth, Boolean hasFocus) (at C:/buildslave/unity/build/Editor/Mono/GUI/TreeView/TreeViewController.cs:621)
UnityEditor.IMGUI.Controls.TreeViewController.OnGUI (Rect rect, Int32 keyboardControlID) (at C:/buildslave/unity/build/Editor/Mono/GUI/TreeView/TreeViewController.cs:552)
UnityEditor.SceneHierarchyWindow.DoTreeView (Single searchPathHeight) (at C:/buildslave/unity/build/Editor/Mono/SceneHierarchyWindow.cs:582)
UnityEditor.SceneHierarchyWindow.OnGUI () (at C:/buildslave/unity/build/Editor/Mono/SceneHierarchyWindow.cs:402)
System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MonoMethod.cs:222)
Rethrow as TargetInvocationException: Exception has been thrown by the target of an invocation.
System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MonoMethod.cs:232)
System.Reflection.MethodBase.Invoke (System.Object obj, System.Object[] parameters) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MethodBase.cs:115)
UnityEditor.HostView.Invoke (System.String methodName, System.Object obj) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:283)
UnityEditor.HostView.Invoke (System.String methodName) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:276)
UnityEditor.HostView.InvokeOnGUI (Rect onGUIPosition) (at C:/buildslave/unity/build/Editor/Mono/HostView.cs:243)
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

Code: [Select]
GUI Error: You are pushing more GUIClips than you are popping. Make sure they are balanced)
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

I believe this also shows up in 2017.1. Any idea what's going on?
Title: Re: Unity 2017.1&2 error
Post by: djaydino on July 12, 2017, 04:05:27 PM
Hi,
Are you using a Playmaker beta version?
The official version might not support the unity beta version.

To get access to Playmaker beta, you can send a Pm or e-mail to Alex (http://hutonggames.com/playmakerforum/index.php?action=profile;u=3)

Title: Re: Unity 2017.1&2 error
Post by: Alex Chouls on July 13, 2017, 06:13:23 AM
Be sure to let the Unity API updater run when you update the project. Also make sure you have the latest version of Playmaker - 1.8.4 should run fine in 2017.1 with the Unity API updater.
Title: Re: Unity 2017.1&2 error
Post by: tcmeric on July 13, 2017, 06:17:49 AM
Confirmed on my end. All is good from an update from 5.5 to 2017.1 with the current version of Playmaker from the asset store.
Title: Re: Unity 2017.1&2 error
Post by: fish on July 13, 2017, 03:51:23 PM
Be sure to let the Unity API updater run when you update the project. Also make sure you have the latest version of Playmaker - 1.8.4 should run fine in 2017.1 with the Unity API updater.

Okay, I finally got it to work. After deleting many add-ons the API updater finally ran error free once I deleted uGui Proxy. No other problems, even after reinstalling everything. Strange.
Title: Re: Unity 2017.1&2 error
Post by: krmko on November 02, 2017, 06:18:58 AM
Got the same thing, i was using some shitty third party mod to change skin to dark. A lot of people are having problems because of this.